unit U_frameParam;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants,
  System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, cxGraphics,
  cxControls, cxLookAndFeels, cxLookAndFeelPainters, cxContainer, cxEdit,
  cxGroupBox, Vcl.StdCtrls, cxTextEdit, Vcl.ExtCtrls, cxMaskEdit, cxDropDownEdit;

type
  TFrameParam = class(TFrame)
    pnlSet: TPanel;
    cxGroupBox1: TcxGroupBox;
    Label16: TLabel;
    edtMaBiao: TcxTextEdit;
    Label7: TLabel;
    edtMBDW: TcxTextEdit;
    Label35: TLabel;
    Label34: TLabel;
    edtChen: TcxTextEdit;
    Label26: TLabel;
    outPage: TcxTextEdit;
    Label6: TLabel;
    labNumber: TComboBox;
    cxGroupBox2: TcxGroupBox;
    Label9: TLabel;
    MinLen: TcxTextEdit;
    MaxLen: TcxTextEdit;
    Label15: TLabel;
    MinWeight: TcxTextEdit;
    MaxWeight: TcxTextEdit;
    cxGroupBox3: TcxGroupBox;
    Label19: TLabel;
    MPlace: TcxTextEdit;
    Label20: TLabel;
    Label21: TLabel;
    YPlace: TcxTextEdit;
    Label3: TLabel;
    Label30: TLabel;
    KgPlace: TcxTextEdit;
    Label33: TLabel;
    cxGroupBox4: TcxGroupBox;
    Label31: TLabel;
    Label41: TLabel;
    edtdabao: TcxTextEdit;
    packRolls: TcxTextEdit;
    rollnoMake: TcxComboBox;
    Label1: TLabel;
    BeginPieceNo: TcxTextEdit;
    EndPieceNo: TcxTextEdit;
    Label2: TLabel;
    weightRule: TcxComboBox;
    Label4: TLabel;
    Label5: TLabel;
    packNoMake: TcxComboBox;
    Label8: TLabel;
    AddwetPresent: TcxTextEdit;
    Label10: TLabel;
    AddLenPresent: TcxTextEdit;
    packPrintPreview: TCheckBox;
    Label11: TLabel;
    packlabNumber: TcxComboBox;
    Label12: TLabel;
    packPrintAction: TcxComboBox;
    presentNumFlag: TcxComboBox;
    Label13: TLabel;
    aixunpage: TcxTextEdit;
    procedure edtMaBiaoClick(Sender: TObject);
    procedure edtdabaoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

procedure TFrameParam.edtdabaoClick(Sender: TObject);
begin
  if Trim(TcxTextEdit(Sender).Text) = '' then
  begin
    TcxTextEdit(Sender).Text := '¡Ì';
    packlabNumber.ItemIndex := 1;
  end
  else
  begin
    TcxTextEdit(Sender).Text := '';
    packlabNumber.ItemIndex := 0;
  end;
end;

procedure TFrameParam.edtMaBiaoClick(Sender: TObject);
begin
  if Trim(TcxTextEdit(Sender).Text) = '' then
  begin
    TcxTextEdit(Sender).Text := '¡Ì';
//    packlabNumber.ItemIndex:=1;
  end
  else
  begin
    TcxTextEdit(Sender).Text := '';
//    packlabNumber.ItemIndex:=0;
  end;
end;

end.

